Bug 520087 - Boost needs to be updated , 1.40 is released
Boost needs to be updated , 1.40 is released
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
: FutureFeature
Depends On: 529563
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-28 06:31 EDT by kushaldas@gmail.com
Modified: 2013-08-09 01:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-12 01:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2009-08-28 06:31:07 EDT
http://sourceforge.net/projects/boost/files/boost/1.40.0/

Boost 1.40 released, we need this build pyside.
Comment 1 Petr Machata 2009-08-28 07:30:38 EDT
That's not going to happen in F-12 time-frame.  The release cycle is too far to do this rebase in rawhide, and rebasing mid-release is too invasive for much the same reasons.  In the past, we've been rebasing to the latest boost in each rawhide, so you will most probably see 1.40.0 or 1.41.0 in F-13.  Before that, you will have to patch your way around 1.39.0 in pyside.
Comment 2 Rahul Sundaram 2009-08-29 16:14:29 EDT
I understand the concern. May I request that you apply for early branching?

https://www.redhat.com/archives/fedora-devel-announce/2009-August/msg00010.html

Then, your devel branch will be for Fedora 13 and you can build boost 1.40 in that branch, leaving Fedora 12 undisturbed. Would that work for you?
Comment 3 Petr Machata 2009-08-31 06:46:34 EDT
I think we may want to wait for .41 to be released.  The last several releases were timed around three months apart, which puts .41 to sometime around the end of the year.  That's a bit after the release of F12, with F13 Rawhide open for business.

Perhaps you could file exact bugs that you are hitting in your PySide build?  We might be able to port these individually over from 40, if they are small enough in scope and impact.
Comment 4 Rahul Sundaram 2009-08-31 06:56:10 EDT
The required patches for Pyside to work are the following:

Add generic call operator support.

https://svn.boost.org/trac/boost/changeset/47846

Support C++ enums which have the same value.

https://svn.boost.org/trac/boost/changeset/53660

Fix unsigned integer converters.

https://svn.boost.org/trac/boost/changeset/54919

Fix unsigned integer converters.

https://svn.boost.org/trac/boost/changeset/54923
Comment 5 Petr Machata 2009-10-13 09:37:51 EDT
54919 is simply a bug-fix.  The exception can already be thrown in one branch, so the fact that the other branch can now throw too looks uncontroversial.

53660 looks safe, too, what used to work will work the same way, it just supports some extra stuff.

47846 adds new API, but doesn't change existing, and looks safe to me, too.

54923 only patches tests, and there it drops ctypes dependency.  Is that really necessary?  I don't see any harm applying it, but also don't see any benefit.

Overall this should all be applicable.  I can patch it later today.  Modulo 54923, that looks unnecessary, unless I hear otherwise.
Comment 6 Fedora Update System 2009-10-14 09:56:04 EDT
boost-1.39.0-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/boost-1.39.0-7.fc12
Comment 7 Petr Machata 2009-10-15 10:31:13 EDT
Pushed another update, new update request is
http://admin.fedoraproject.org/updates/boost-1.39.0-8.fc12
Comment 8 Denis Arnaud 2010-07-12 01:56:42 EDT
That record should be closed, as Boost 1.41 has been delivered on Fedora 13 (https://bugzilla.redhat.com/show_bug.cgi?id=529563), and Boost 1.44 should be delivered on Fedora 14 (https://bugzilla.redhat.com/show_bug.cgi?id=607615).

Note You need to log in before you can comment on or make changes to this bug.